Skip to main content
`Ctrl`+`K`
scipy.fftpack.

# tilbert

scipy.fftpack.tilbert(x, h, period=None, _cache=<_thread._local object>)

  Return h-Tilbert transform of a periodic sequence x.

  If x_j and y_j are Fourier coefficients of periodic functions x and y, respectively, then:

      y_j = sqrt(-1)*coth(j*h*2*pi/period) * x_j
      y_0 = 0

  Parameters:
    x array_like

      The input array to transform.

    h float

      Defines the parameter of the Tilbert transform.

    period float, optional

      The assumed period of the sequence. Default period is `2*pi`.

  Returns:
    tilbert ndarray

      The result of the transform.

  Notes

  If `sum(x, axis=0) == 0` and `n = len(x)` is odd, then `tilbert(itilbert(x)) == x`.

  If `2 * pi * h / period` is approximately 10 or larger, then numerically `tilbert == hilbert` (theoretically oo-Tilbert == Hilbert).

  For even `len(x)`, the Nyquist mode of `x` is taken zero.